Skip to navigation

EditCallListTasksPriority

View as Markdown

Edits priorities of existing tasks in the specified call list.

Allowed roles: Owner, Admin, Developer, Call list manager.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

list_idintegerRequired
Call list ID. If the ID does not exist, the 251 error returns.
tasksstringRequired

JSON-encoded array of task objects. Each object should contain either 'task_id' (number) or 'task_uuid' (string), and 'task_priority' (number).

Response

Successful response
resultsstring or list of anyOptional

JSON-encoded array of each task update.